howto use megaraid on kernel 2.6.11 ???

Johnn Tan waterbuffalo at fastmail.fm
Thu Mar 31 11:51:01 CST 2005


Eric Belhomme wrote:
> I just upgraded my server to 2.6 kernel branch, and I get some troubles 
> with the new megaraid design : raid volumes are not recognized !

This is from the RHEL4 release notes found at:
http://www.redhat.com/docs/manuals/enterprise/RHEL-4-Manual/release-notes/as-x86/

# The kernel shipped with Red Hat Enterprise Linux 4 includes the new 
megaraid_mbox driver from LSI Logic, which replaces the megaraid driver. 
The megaraid_mbox driver has an improved design, is compatible with the 
2.6 kernel, and includes support for the latest hardware. However, 
megaraid_mbox does not support some of the older hardware that was 
supported by the megaraid driver.

Adapters with the following PCI vendor ID and device ID pairs are not 
supported by the megaraid_mbox driver:

vendor, device

0x101E, 0x9010
0x101E, 0x9060
0x8086, 0x1960

The lspci -n command can be used to display the IDs for adapters 
installed in a particular machine. Products with these IDs are known by 
(but not limited to) the following model names:

     * Dell PERC (dual-channel fast/wide SCSI) RAID controller
     * Dell PERC2/SC (single-channel Ultra SCSI) RAID controller
     * Dell PERC2/DC (dual-channel Ultra SCSI) RAID controller
     * Dell CERC (four-channel ATA/100) RAID controller
     * MegaRAID 428
     * MegaRAID 466
     * MegaRAID Express 500
     * HP NetRAID 3Si and 1M

Both Dell and LSI Logic have indicated that they no longer support these 
models in the 2.6 kernel. As a result, these adapters are not supported 
in Red Hat Enterprise Linux 4.




More information about the Linux-PowerEdge mailing list